#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Script for generating the polynomial fit information and writing to file.

@author: mark
"""

import logging
import resultsanalysis.resultsoutput.resultswritertofile as resultswritertofile

logging.basicConfig()
LOGGER = logging.getLogger(__name__)
LOGGER.setLevel(logging.WARN)

def write_poly_data_to_file(datapoints, order_list, filename):
    """This calculates the polynomial information, and then outputs the
    information to file.
    """
    poly_fit_data = generate_poly_fit_data_order_list(datapoints, order_list)
    return write_poly_fit_data_to_file(poly_fit_data, filename)

def write_poly_fit_data_to_file(poly_fit_data, filename):
    """This writes the information to file.
    """
    return resultswritertofile.write_poly_fit_information_to_file(poly_fit_data, filename)

def generate_poly_fit_data_order_list(datapoints, order_list):
    """This cretes the polynomial fit data for all the given polynomial orders
    for the datapoints given
    """
    poly_fit_data = {}
    for order in order_list:
        poly_fit_data[order] = generate_polynomial_fit_data(datapoints, order)
    return poly_fit_data

def generate_polynomial_fit_data(datapoints, order):
    """This creates the polynomial fit data for the given order of polynomial
    for the datapoints given.
    """
    return datapoints.poly_fit_data(order)
